attachCall-methods {xps} | R Documentation

## Attach/Remove Detecion Call Measures

### Description

Attach/remove detection call and detection p-value to/from `CallTreeSet`.

Usage

`attachCall(object, treenames = "*")`

`attachPVal(object, treenames = "*")`

`removeCall(object)`

`removePVal(object)`

### Arguments

`object` | Object of class `"CallTreeSet"`.
`treenames` | Object of class `"list"` representing the names of the `ROOT` call trees.

### Details

By default detection calls will be saved in class `CallTreeSet` in slots `data` and `detcall`, respectively, since usually the `data.frame`s obtained as result of e.g. `mas5.call` are of reasonable size. However, when computing many arrays, especially exon arrays at probeset levels, it may be better to compute detection calls with slot `add.data=FALSE` thus avoiding memory problems. In this case, functions `attachCall` and `attachPVal` allow to fill slots `detcall` and `data`, respectively, on demand.

`attachCall` exports detection calls from call trees from `ROOT` call file and and saves as data.frame `detcall`. `treenames` is a vector of tree names to attach; for `treenames="*"` all trees from slot `treenames` will be exported and detection calls attached as data.frame `detcall`.

`attachPVal` exports detection p-values from call trees from `ROOT` call file and and saves as data.frame `data`. `treenames` is a vector of tree names to attach; for `treenames="*"` all trees from slot `treenames` will be exported and detection p-values attached as data.frame `data`.

`removeCall` removes detection calls from `CallTreeSet` and replaces data.frame `detcall` with an empty data.frame of dim(0,0).

`removePVal` removes detection p-values from `CallTreeSet` and replaces data.frame `data` with an empty data.frame of dim(0,0).

### Value

A `CallTreeSet` object.

### Note

Do not use `attachCall` and `attachPVal` unless you know that your computer has sufficient RAM, especially when using exon arrays. It may be advisible to use a subset of `treenames` only.

### Author(s)

Christian Stratowa

### See Also

`attachExpr`, `removeExpr`

### Examples

    ## first, load ROOT scheme file and ROOT data file
    scheme.test3 <- root.scheme(paste(.path.package("xps"),"schemes/SchemeTest3.root",sep="/"))
    data.test3 <- root.data(scheme.test3, paste(.path.package("xps"),"rootdata/DataTest3_cel.root",sep="/"))

    ## MAS5 detection call
    call.mas5 <- mas5.call(data.test3,"tmp_Test3Call0",tmpdir="",add.data=FALSE,verbose=FALSE)

    ## attach data
    call.mas5 <- attachPVal(call.mas5)
    call.mas5 <- attachCall(call.mas5)

    ## get data.frames
    pval.mas5 <- pvalData(call.mas5)
    pres.mas5 <- presCall(call.mas5)
    head(pval.mas5)
    head(pres.mas5)

    ## remove data
    call.mas5 <- removePVal(call.mas5)
    call.mas5 <- removeCall(call.mas5)

    rm(scheme.test3, data.test3)
    gc()

[Package xps version 1.2.10 Index]